services:
    # With Selected Extensions
    d2_engen_bundle.account_with_selected.extension:
        class:          D2\EngenBundle\Services\EngenAccountsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: engen_account_list }
            - { name: d2.with_selected, alias: engen_account }

    # With Selected Extensions
    d2_engen_bundle.vehicle_with_selected.extension:
        class:          D2\EngenBundle\DependencyInjection\Services\EngenVehiclesWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: engen_vehicle_list }
            - { name: d2.with_selected, alias: engen_vehicle }

    # With Selected Extensions
    d2_engen_bundle.transaction_with_selected.extension:
        class:          D2\EngenBundle\DependencyInjection\Services\EngenTransactionsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: engen_transaction_list }
            - { name: d2.with_selected, alias: engen_transaction }

    # With Selected Extensions
    d2_engen_bundle.pos_transaction_with_selected.extension:
        class:          D2\EngenBundle\DependencyInjection\Services\EngenPosTransactionsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: engen_pos_transaction_list }
            - { name: d2.with_selected, alias: engen_pos_transaction }

    # With Selected Extensions
    d2_engen_bundle.statement_with_selected.extension:
        class:          D2\EngenBundle\DependencyInjection\Services\EngenStatementsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: engen_statement_list }
            - { name: d2.with_selected, alias: engen_statement }

    d2_engen.twig.engen_extension:
        class:          D2\EngenBundle\Twig\EngenTwigExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: twig.extension }
